#
# spec file for package python-nwdiag
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-nwdiag
Version:        3.0.0
Release:        2.0.2.1.sr20250601
Summary:        Generator for network diagram images from text
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://blockdiag.com/
Source:         https://files.pythonhosted.org/packages/source/n/nwdiag/nwdiag-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-blockdiag >= 1.5.0
Requires:       python-setuptools
Requires(post): alts
Requires(postun): alts
Suggests:       python-docutils
Suggests:       python-nose
Suggests:       python-reportlab
BuildArch:      noarch
%python_subpackages

%description
nwdiag generates network diagram images from text.

%prep
%setup -q -n nwdiag-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_clone -a %{buildroot}%{_bindir}/packetdiag
%python_clone -a %{buildroot}%{_bindir}/rackdiag
%python_clone -a %{buildroot}%{_bindir}/nwdiag
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative packetdiag
%python_install_alternative rackdiag
%python_install_alternative nwdiag

%postun
%python_uninstall_alternative packetdiag
%python_uninstall_alternative rackdiag
%python_uninstall_alternative nwdiag

%files %{python_files}
%doc README.rst
%license LICENSE
%python_alternative %{_bindir}/nwdiag
%python_alternative %{_bindir}/rackdiag
%python_alternative %{_bindir}/packetdiag
%{python_sitelib}/nwdiag
%{python_sitelib}/rackdiag
%{python_sitelib}/packetdiag
%{python_sitelib}/nwdiag-%{version}*-info

%changelog
* Mon Jun  2 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Tue Jul 19 2022 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * Drop python3.6 support
  * Use funcparserlib-1.0.0a0 or newer to support new python versions
  * Allow to write multiline string via triple quotes (""" ... """)
* Thu May 21 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Fri Feb 28 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.0.0:
  * Drop python2 and python3.4 support
  * Fix a bug
  - #23: Crash in antialias mode
* Sun Nov 10 2019 Martin Hauke <mardnh@gmx.de>
- Add python-setuptools to Requires
  * pkg_resources is a runtime dependency
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Avoid name repetition in summary.
* Wed May 22 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 1.0.4)
